Inhalte
Index 🔎︎

## WEBDIENST

Liefert den Webinhalt zu einer URL.

Diese Funktion ist seit LibreOffice 4.2 verfügbar.

#### Syntax

WEBDIENST(URL)

URL: URL zu einem Webdienst.

#### Beispiel

=WEBDIENST("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss")

Gibt den Webseiteninhalt von "https://wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss" zurück.

## XMLFILTERN

Wendet einen XPath-Ausdruck für ein XML-Dokument an.

Diese Funktion ist seit LibreOffice 4.2 verfügbar.

#### Syntax

XMLFILTERN(XML-Dokument; XPath-Ausdruck)

XML-Dokument (erforderlich): Zeichenkette eines gültigen XML-Streams.

XPath-Ausdruck (erforderlich): Zeichenkette eines gültigen XPath-Ausdrucks.

#### Beispiel

=XMLFILTERN(WEBDIENST("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss");"//lastBuildDate")

Gibt Informationen über das letzte Erstellungsdatum des Wikis zurück.

## URLCODIEREN

Gibt eine URL-codierte Zeichenkette zurück.

Verwenden Sie diese Funktion, um Text mit Zeichen eines nationalen Alphabets (beispielsweise Buchstaben mit Akzenten, Nicht-ASCII-Alphabete oder asiatische Wörter) in eine Zeichenkette mit URL-Standard-Zeichen umzuwandeln.

Diese Funktion ist seit LibreOffice 5.0 verfügbar.

#### Syntax

URLCODIEREN(Text)

Text: Zeichenkette, die in eine Folge aus URL-Standardsymbolen kodiert werden soll.

#### Beispiel

Wenn Zelle A1 den kyrillischen Text "автомобиль" enthält, gibt =URLCODIEREN(A1) %D0%B0%D0%B2%D1%82%D0%BE%D0%BC%D0%BE%D0%B1%D0%B8%D0%BB%D1%8C zurück (das Wort "автомобиль" bedeutet Auto im Russischen).

Wenn Zelle B1 den Text "車" enthält, gibt =URLCODIEREN(B1) %E8%BB%8A zurück ("車" bedeutet Auto im Japanischen).